# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.17-1.2139_FC5}

%define kmod_name nozomi
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686 ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
#%define xenvar xen0 xenU
#%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar}  %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        2.1
Release:        1.%(echo %{kverrel} | tr - _)
Summary:        NTFS Kernel Module

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.pharscape.org/3G/
# Created after extracing linux-2.6.16.tar.bz2 and running:
# tar -cvjf ~/rpmbuild/SOURCES/ntfs-2.1.27.tar.bz2 Documentation/filesystems/ntfs.txt COPYING fs/ntfs/
Source0:	nozomi_2.1_060703.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	i586 i686 x86_64 ppc

%description
This RPM contains a binary Linux kernel module build for %{kernel}. It 
provides GPRS/Edge/UMTS Card support.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
# {kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a nozomi _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant
    make -C "${ksrc}" SUBDIRS=$PWD modules
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 755 _kmod_build_${kvariant}/nozomi.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/nozomi.ko
done


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jul 20 2006 Rafal Kwasny <mag@aurox.org> 2.1-1
- initial release
- droped xen0 xenU kernels
